AjpProtocol.AjpConnectionHandler (Tomcat API Documentation)
Keywords: org.apache.coyote.ajp.AjpProtocol.AjpConnectionHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.ajp
Class AjpProtocol.AjpConnectionHandler

    java.lang.Object
      org.apache.coyote.ajp.AjpProtocol.AjpConnectionHandler

All Implemented Interfaces:
  JIoEndpoint.Handler

Enclosing class:
  AjpProtocol

    protected static class AjpProtocol.AjpConnectionHandler

extends java.lang.Object
implements JIoEndpoint.Handler

Field Summary
`protected RequestGroupInfo` | `global`
`protected AjpProtocol` | `proto`
`protected java.util.concurrent.ConcurrentLinkedQueue<AjpProcessor>` | `recycledProcessors`
`protected java.util.concurrent.atomic.AtomicLong` | `registerCount`

Constructor Summary
`AjpProtocol.AjpConnectionHandler(AjpProtocol proto)`

Method Summary
`protected AjpProcessor` | `createProcessor()`
`boolean` | `process(java.net.Socket socket)`
`protected void` | `register(AjpProcessor processor)`
`protected void` | `unregister(AjpProcessor processor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### proto

    protected AjpProtocol proto

### registerCount

    protected java.util.concurrent.atomic.AtomicLong registerCount

### global

    protected RequestGroupInfo global

### recycledProcessors

    protected java.util.concurrent.ConcurrentLinkedQueue<AjpProcessor> recycledProcessors

Constructor Detail

### AjpProtocol.AjpConnectionHandler

    public AjpProtocol.AjpConnectionHandler(AjpProtocol proto)

Method Detail

### process

    public boolean process(java.net.Socket socket)

  Specified by:
    `process` in interface `JIoEndpoint.Handler`

### createProcessor

    protected AjpProcessor createProcessor()

### register

    protected void register(AjpProcessor processor)

### unregister

    protected void unregister(AjpProcessor processor)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.